swagger: "2.0"
info:
  description: "This API verifies user-supplied PII against official records.  This API is developed by  [Infinite Loop Development Ltd](http://infiniteloop.ie) for the exclusive use of the [Global Data Consortium](http://www.globaldataconsortium.com)"
  version: "1.0.0"
  title: "GDC / Infinite Loop Development Ltd API"
  termsOfService: "http://infiniteloop.ie/privacypolicy.html"
  contact:
    email: "info@infiniteloop.ie"
host: "gdc.infiniteloop.ie"
basePath: "/api.aspx"
schemes:
- "https"
paths:
  /:
    post:
      summary: "Search for a person with a datasource"
      description: ""
      operationId: ""
      consumes:
      - "application/json"
      produces:
      - "application/json"
      parameters:
      - in: "body"
        name: "body"
        description: "The search criteria"
        required: true
        schema:
          $ref: "#/definitions/Search"
      responses:
        200:
          description: "Search complete"
        500:
          description: "Error occurred"
definitions:
  Search:
    type: "object"
    required:
    - "TRANSACTION_ID"
    - "SOURCE"
    properties:
      TRANSACTION_ID:
        type: "string"
      SOURCE:
        type: "string"
      VAT:
       type: "string"
      LASTNAME:
       type: "string"
      FIRSTNAME:
       type: "string"
      FATHERSNAME:
       type: "string"
      SEX:
       type: "string"
      NATIONALITY:
       type: "string"
      STREET:
       type: "string"
      STREETNUMBER:
       type: "string"
      ZIP:
       type: "string"
      CITY:
       type: "string"
      PREFECTURE:
       type: "string"
      OCCUPATION:
       type: "string"
      INCOME:
       type: "string"
      TELEPHONE:
       type: "string"
      MOBILE:
       type: "string"
      BIRTHYEAR:
       type: "string"
      BIRTHMONTH:
       type: "string"
      BIRTHDAY:
       type: "string"